"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComponentLabel = void 0;
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const base_ui_surfaces_card_1 = require("@waweb/base-ui.surfaces.card");
const bubble_1 = require("../../bubble");
const duo_component_bubble_module_scss_1 = __importDefault(require("./duo-component-bubble.module.scss"));
const component_bubble_1 = require("./component-bubble");
const scope_bubble_1 = require("./scope-bubble");
function ComponentLabel(_a) {
    var { componentId, className, link, scopeLink, local } = _a, rest = __rest(_a, ["componentId", "className", "link", "scopeLink", "local"]);
    return (react_1.default.createElement(base_ui_surfaces_card_1.Card, Object.assign({}, rest, { className: classnames_1.default(className, duo_component_bubble_module_scss_1.default.duoComponentBubble), "data-ignore-component-highlight": true }),
        react_1.default.createElement(scope_bubble_1.ScopeBubble, { href: scopeLink, componentId: componentId, className: bubble_1.bubble, "data-ignore-component-highlight": true }),
        react_1.default.createElement(component_bubble_1.ComponentBubble, { href: link, componentId: componentId, className: bubble_1.bubble, local: local, "data-ignore-component-highlight": true })));
}
exports.ComponentLabel = ComponentLabel;
//# sourceMappingURL=component-label.js.map