"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScopeBubble = void 0;
const react_1 = __importDefault(require("react"));
const base_ui_routing_native_link_1 = require("@waweb/base-ui.routing.native-link");
const component_modules_component_url_1 = require("@teambit/component.modules.component-url");
function ScopeBubble(_a) {
    var { componentId, className, href } = _a, rest = __rest(_a, ["componentId", "className", "href"]);
    const scope = componentId.scope;
    const scopeUrl = href || component_modules_component_url_1.ScopeUrl.toUrl(componentId.scope);
    return (react_1.default.createElement(base_ui_routing_native_link_1.NativeLink, Object.assign({ href: scopeUrl, external: true, className: className }, rest), scope));
}
exports.ScopeBubble = ScopeBubble;
//# sourceMappingURL=scope-bubble.js.map